Summary:      DSSI software synthesizer plugin emulating DX7
Name:         hexter-dssi
Version:      0.6.1
Release:      2%{?dist}
URL:          http://dssi.sourceforge.net/hexter.html
Source0:      http://easynews.dl.sourceforge.net/sourceforge/dssi/hexter-0.6.1.tar.gz
License:      GPL
Group:        Applications/Multimedia
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: dssi-devel gtk2-devel ncurses-devel alsa-lib-devel
Requires:     dssi

%description
hexter is a software synthesizer that models the sound generation of a
Yamaha DX7 synthesizer. It can easily load most DX7 patch bank files,
accept patch editing commands via MIDI sys-ex messages (ALSA systems
only), and recreate the sound of the DX7 with greater accuracy than
any previous open-source emulation (that the author is aware of....)

hexter operates as a plugin for the Disposable Soft Synth Interface
(DSSI). DSSI is a plugin API for software instruments (soft synths)
with user interfaces, permitting them to be hosted in-process by audio
applications.

%prep
%setup -q -n hexter-%{version}

%build
%configure

make %{?_smp_mflags}
(cd extra; gcc $CFLAGS -o tx_edit tx_edit.c -lcurses -lasound)

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s jack-dssi-host $RPM_BUILD_ROOT%{_bindir}/hexter
install -m 755 extra/tx_edit $RPM_BUILD_ROOT%{_bindir}/tx_edit

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/hexter
%{_bindir}/tx_edit
%{_datadir}/hexter/
%{_libdir}/dssi/*
%exclude %{_libdir}/dssi/hexter.la

%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.1-2
- Autorebuild for GCC 4.3

* Sun Apr 15 2007 Anthony Green <green@redhat.com> 0.6.1-1
- Upgrade sources.

* Sun Dec 17 2006 Anthony Green <green@redhat.com> 0.5.9-8
- Fix typo in tx_edit install line.

* Sat Dec 16 2006 Anthony Green <green@redhat.com> 0.5.9-7
- Build and install tx_edit.
- Add relevant BuildRequires.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.5.9-6
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 Anthony Green <green@redhat.com> 0.5.9-5
- Fix release tag.

* Mon Sep 18 2006 Anthony Green <green@redhat.com> 0.5.9-4.1
- Rebuild.

* Wed Jul 12 2006 Anthony Green <green@redhat.com> 0.5.9-4
- Update Source0 link.
- Don't use %makeinstall.  It's broken (?)
- Mention DX7 in Summary.

* Sun Jun  4 2006 Anthony Green <green@redhat.com> 0.5.9-3
- Remove useless post and postun scripts.
- Tweak hexter jack-dssi-host symlink. 

* Thu May 18 2006 Anthony Green <green@redhat.com> 0.5.9-2
- Clean up Requires & BuildRequires.
- Don't use %{__rm} & %{__make}.
- Use %makeinstall.
- Add hexter symlink.

* Tue Apr 25 2006 Anthony Green <green@redhat.com> 0.5.9-1
- Created.

